import { MigrationInterface, QueryRunner } from "typeorm";

export class AddCommandSalary1726474393379 implements MigrationInterface {
    name = 'AddCommandSalary1726474393379'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`commandType\` ADD \`fileCover\` varchar(255) NULL COMMENT 'คำสั่งเรื่อง'`);
        await queryRunner.query(`ALTER TABLE \`commandType\` ADD \`fileAttachment\` varchar(255) NULL COMMENT 'คำสั่งเรื่อง'`);
        // await queryRunner.query(`ALTER TABLE \`HR_POSITION_OFFICER\` ADD \`FLAG_PERSON_TYPE\` text NULL`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        // await queryRunner.query(`ALTER TABLE \`HR_POSITION_OFFICER\` DROP COLUMN \`FLAG_PERSON_TYPE\``);
        await queryRunner.query(`ALTER TABLE \`commandType\` DROP COLUMN \`fileAttachment\``);
        await queryRunner.query(`ALTER TABLE \`commandType\` DROP COLUMN \`fileCover\``);
    }

}
